<template>
  <div>
    <b-form-group label="Nombre:" label-for="input-nombre">
      <b-form-input
        id="input-nombre"
        v-model="nombre"
        type="text"
        @input="$parent.$emit('setNombre',nombre)"
        required
        placeholder="Nombre"
      />
    </b-form-group>
    <b-form-group label="Apellido:" label-for="input-apellido">
      <b-form-input
        id="input-apellido"
        @input="$parent.$emit('setApellido',apellido)"
        v-model="apellido"
        type="text"
        required
        placeholder="Apellido"
      />
    </b-form-group>
  </div>
</template>
<script>
import EmisionDeCamposRequeridosMixin from "~/components/EmisionDeCamposRequeridosMixin.vue";
export default {
  mixins: [EmisionDeCamposRequeridosMixin],
  data: function() {
    return {
      nombre: this.$attrs.nombre,
      apellido: this.$attrs.apellido
    };
  },
  computed: {
    camposRequeridosCompletos: function() {
      if (this.$attrs.nombre && this.$attrs.apellido) {
        return true;
      }
      return false;
    }
  }
};
</script>